svn commit: r319108 - user/pho/stress2/misc
Peter Holm
pho at FreeBSD.org
Mon May 29 08:51:25 UTC 2017
Author: pho
Date: Mon May 29 08:51:24 2017
New Revision: 319108
URL: https://svnweb.freebsd.org/changeset/base/319108
Log:
Do not flag a missing libmicro-bench as an error.
Added cleanup.
Sponsored by: Dell EMC Isilon
Modified:
user/pho/stress2/misc/libMicro.sh
Modified: user/pho/stress2/misc/libMicro.sh
==============================================================================
--- user/pho/stress2/misc/libMicro.sh Mon May 29 08:49:03 2017 (r319107)
+++ user/pho/stress2/misc/libMicro.sh Mon May 29 08:51:24 2017 (r319108)
@@ -37,12 +37,13 @@ if [ $# -eq 0 ]; then
[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
[ -x /usr/local/bin/libmicro-bench ] ||
- { echo "ports/benchmarks/libmicro is not installed"; exit 1; }
+ { echo "ports/benchmarks/libmicro is not installed"; exit 0; }
[ `id -un` = $testuser ] &&
{ echo "\$testuser is identical to current id"; exit 1; }
rm -f /tmp/libmicro.log
+ trap "rm -rf /var/tmp/libmicro.[0-9]*" 0
su $testuser -c "$0 x"
echo ""
else
@@ -50,4 +51,5 @@ else
# Temp. work-around for hanging "c_lockf_10" test.
sleep 60
kill 0
+ wait
fi
More information about the svn-src-user
mailing list